Subject: Re: bug#9234: 23.3; Long lines in compilation output cause stack overflow in regexp matcher

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Feb 2014 17:33:42 -0800

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Gareth Rees <[email-masked]> writes:
>
>> In a fresh emacs -Q, type
>>
>>     M-x compile RET for X in {1..100000}; do echo -n 1; done RET
>>
>> The following message appears in the echo area:
>>
>>     error in process filter: Stack overflow in regexp matcher
>>
>> With debug-on-error turned on, I get the following backtrace:
>>
>> Debugger entered--Lisp error: (error "Stack overflow in regexp matcher")
>>   re-search-forward("^ *\\([^ \n]+\\)(\\([0-9]+\\)): \\(?:error\\|warnin\\(g\\)\\|remar\\(k\\)\\)" 34233 t)
>
> I'm unable to reproduce this bug in Emacs 24...

This bug report was previously marked "unreproducible" two years ago, so
I'm closing this report.  If this is still a problem, please reopen the
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/